<?php

namespace Imagine;

class Text {

    public static function draw($image, $colors, $fontid, $text, $x, $y)
    {
        return \imagestring($image, $fontid, $x, $y, $text, $colors['text']);
    }

    public static function measure($text, $fontid)
    {
        return [
            "width"  => \imagefontwidth($fontid) * strlen(utf8_decode($text)),
            "height" => \imagefontheight($fontid)
        ];
    }

}
